
' ==================================================================================
'  This is a simple Web Browser
' ==================================================================================

'  This example demonstrates that NetScript programs can be written
'  withot using "Private", "Friend", Shared" etc... 

'  Since there are not "Imports", "Class" and "Module" statements,
'  "NetScript" uses a standard header and incapsulates all in a "Module"
'  making very simple to write simple programs.
 
' ==================================================================================

Sub Main(ByVal s() As String)
	if Form1 IsNot Nothing then return
	Form1 = New Form
	Application.EnableVisualStyles
	InitializeComponent
	Form1.Show
	txtURI.Text = "http://www.google.it"
	WebBrowser1.Navigate(txtURI.Text)
	While Form1.Visible
		Application.DoEvents
		Threading.Thread.Sleep(1)
	End While
End Sub



' ======================================================================
'  EVENTS
' ======================================================================

Sub form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Form1.Load
	btnGoBack.Enabled = False
	btnGoForward.Enabled = False
End Sub

Sub btnGo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGo.Click
	WebBrowser1.Navigate(txtURI.Text)
End Sub

Sub btnGoBack_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGoBack.Click
	If WebBrowser1.CanGoBack Then
		WebBrowser1.GoBack()
	End If
End Sub

Sub btnGoForward_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGoForward.Click
	If WebBrowser1.CanGoForward Then
		WebBrowser1.GoForward()
	End If
End Sub

Sub btnStop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnStop.Click
	WebBrowser1.Stop()
End Sub

Sub btnRefresh_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRefresh.Click
	WebBrowser1.Refresh()
End Sub

Sub btnHome_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnHome.Click
	WebBrowser1.GoHome()
End Sub

Sub WebBrowser1_CanGoBackChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles WebBrowser1.CanGoBackChanged
	btnGoBack.Enabled = WebBrowser1.CanGoBack
End Sub

Sub WebBrowser1_CanGoForwardChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles WebBrowser1.CanGoForwardChanged
	btnGoForward.Enabled = WebBrowser1.CanGoForward
End Sub

Sub WebBrowser1_DocumentCompleted(ByVal sender As System.Object, ByVal e As System.Windows.Forms.WebBrowserDocumentCompletedEventArgs) Handles WebBrowser1.DocumentCompleted
	lblStatus.Text = "Document fully loaded"
End Sub

Sub WebBrowser1_Navigated(ByVal sender As Object, ByVal e As System.Windows.Forms.WebBrowserNavigatedEventArgs) Handles WebBrowser1.Navigated
	txtURI.Text = WebBrowser1.Url.ToString
End Sub

Sub WebBrowser1_StatusTextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles WebBrowser1.StatusTextChanged
	lblStatus.Text = WebBrowser1.StatusText
End Sub


' ======================================================================
'  COMPONENTS
' ======================================================================

Dim WithEvents Form1 as Form
Dim WithEvents PictureBox1 As PictureBox
Dim WithEvents WebBrowser1 As System.Windows.Forms.WebBrowser
Dim WithEvents txtURI As System.Windows.Forms.TextBox
Dim WithEvents btnGo As System.Windows.Forms.Button
Dim WithEvents btnGoBack As System.Windows.Forms.Button
Dim WithEvents btnGoForward As System.Windows.Forms.Button
Dim WithEvents btnStop As System.Windows.Forms.Button
Dim WithEvents btnRefresh As System.Windows.Forms.Button
Dim WithEvents btnHome As System.Windows.Forms.Button
Dim WithEvents lblStatus As System.Windows.Forms.Label

Sub InitializeComponent()
	WebBrowser1 = New System.Windows.Forms.WebBrowser
	txtURI = New System.Windows.Forms.TextBox
	btnGo = New System.Windows.Forms.Button
	btnGoBack = New System.Windows.Forms.Button
	btnGoForward = New System.Windows.Forms.Button
	btnStop = New System.Windows.Forms.Button
	btnRefresh = New System.Windows.Forms.Button
	btnHome = New System.Windows.Forms.Button
	lblStatus = New System.Windows.Forms.Label
	form1.SuspendLayout()
	'
	'WebBrowser1
	'
	WebBrowser1.Anchor = AnchorStyles.Top Or AnchorStyles.Bottom Or AnchorStyles.Left Or AnchorStyles.Right
	WebBrowser1.Location = New System.Drawing.Point(0, 33)
	WebBrowser1.Size = New System.Drawing.Size(1058, 677)
	WebBrowser1.TabIndex = 0
	'
	'txtURI
	'
	txtURI.Anchor = AnchorStyles.Top Or AnchorStyles.Left Or AnchorStyles.Right
	txtURI.AutoCompleteMode = System.Windows.Forms.AutoCompleteMode.SuggestAppend
	txtURI.AutoCompleteSource = System.Windows.Forms.AutoCompleteSource.AllUrl
	txtURI.Location = New System.Drawing.Point(280, 6)
	txtURI.Size = New System.Drawing.Size(724, 20)
	txtURI.TabIndex = 1

	'
	'btnGo
	'
	btnGo.Anchor = AnchorStyles.Top Or AnchorStyles.Right
	btnGo.Location = New System.Drawing.Point(1010, 5)
	btnGo.Size = New System.Drawing.Size(48, 23)
	btnGo.TabIndex = 2
	btnGo.Text = "Go"
	btnGo.UseVisualStyleBackColor = True
	'
	'btnGoBack
	'
	btnGoBack.Location = New System.Drawing.Point(0, 4)
	btnGoBack.Size = New System.Drawing.Size(54, 23)
	btnGoBack.TabIndex = 3
	btnGoBack.Text = "Back"
	btnGoBack.UseVisualStyleBackColor = True
	'
	'btnGoForward
	'
	btnGoForward.Location = New System.Drawing.Point(55, 4)
	btnGoForward.Size = New System.Drawing.Size(54, 23)
	btnGoForward.TabIndex = 4
	btnGoForward.Text = "Forward"
	btnGoForward.UseVisualStyleBackColor = True
	'
	'btnStop
	'
	btnStop.Location = New System.Drawing.Point(110, 4)
	btnStop.Size = New System.Drawing.Size(54, 23)
	btnStop.TabIndex = 5
	btnStop.Text = "Stop"
	btnStop.UseVisualStyleBackColor = True
	'
	'btnRefresh
	'
	btnRefresh.Location = New System.Drawing.Point(165, 4)
	btnRefresh.Size = New System.Drawing.Size(54, 23)
	btnRefresh.TabIndex = 6
	btnRefresh.Text = "Refresh"
	btnRefresh.UseVisualStyleBackColor = True
	'
	'btnHome
	'
	btnHome.Location = New System.Drawing.Point(220, 4)
	btnHome.Size = New System.Drawing.Size(54, 23)
	btnHome.TabIndex = 7
	btnHome.Text = "Home"
	btnHome.UseVisualStyleBackColor = True
	'
	'lblStatus
	'
	lblStatus.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
	lblStatus.Dock = System.Windows.Forms.DockStyle.Bottom
	lblStatus.Location = New System.Drawing.Point(0, 713)
	lblStatus.Size = New System.Drawing.Size(1059, 21)
	lblStatus.TabIndex = 8
	'
	'Form1
	'
	Form1.Text = "Theremino Script Demo - ""Web Browser"""
	Form1.AcceptButton = btnGo
	Form1.ClientSize = New System.Drawing.Size(1059, 734)
	Form1.Controls.Add( lblStatus )
	Form1.Controls.Add( btnHome )
	Form1.Controls.Add( btnRefresh )
	Form1.Controls.Add( btnStop )
	Form1.Controls.Add( btnGoForward )
	Form1.Controls.Add( btnGoBack )
	Form1.Controls.Add( btnGo )
	Form1.Controls.Add( txtURI )
	Form1.Controls.Add( WebBrowser1 )
	Form1.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
	Form1.ResumeLayout(False)
	Form1.PerformLayout()
End Sub

